Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PropertyMetadata

    java.lang.Object
      |
      +--oracle.jbo.common.PropertyMetadata

public class PropertyMetadata
extends java.lang.Object

Internal: Applications should not use this class.

This class is used at framework initialization time to choose values for the various properties that can be set in the system.

Since:
  JDeveloper 3.1

Field Summary
`static PropertyMetadata` | `AM_RELEASE_MODE`
`static PropertyMetadata` | `APPLICATION_PATH`
`static PropertyMetadata` | `CONNECTION_MODE`
`static PropertyMetadata` | `CONNECTION_PORT`
`static PropertyMetadata` | `DEPLOY_PLATFORM`
`static PropertyMetadata` | `DYNAMIC_PACKAGE_NAME`
`static PropertyMetadata` | `ENV_DBTRANSACTION_FACTORY_CLASS`
`static PropertyMetadata` | `ENV_DEFAULT_COUNTRY`
`static PropertyMetadata` | `ENV_DEFAULT_LANGUAGE`
`static PropertyMetadata` | `ENV_DO_CONNECTION_POOLING`
`static PropertyMetadata` | `ENV_DO_FAILOVER`
`static PropertyMetadata` | `ENV_EJB_TRANSACTION_TIMEOUT`
`static PropertyMetadata` | `ENV_EJB_TXN_TYPE`
`static PropertyMetadata` | `ENV_ENTITYROWSET_MODE`
`static PropertyMetadata` | `ENV_FETCH_MODE`
`static PropertyMetadata` | `ENV_INIT_JDBC_POOL_SIZE`
`static PropertyMetadata` | `ENV_JBO_SCHEMA`
`static PropertyMetadata` | `ENV_JDBC_POOL_REQUEST_TIMEOUT`
`static PropertyMetadata` | `ENV_MAX_CURSORS`
`static PropertyMetadata` | `ENV_MAX_JDBC_POOL_SIZE`
`static PropertyMetadata` | `ENV_MAX_POOL_COOKIE_AGE`
`static PropertyMetadata` | `ENV_PASSIVATION_STORE`
`static PropertyMetadata` | `ENV_PCOLL_MGR`
`static PropertyMetadata` | `ENV_PERS_MAX_ACTIVE_NODES`
`static PropertyMetadata` | `ENV_PERS_MAX_ROWS_PER_NODE`
`static PropertyMetadata` | `ENV_POOL_CLASS_NAME`
`static PropertyMetadata` | `ENV_POOL_RECYCLE_THRESHOLD`
`static PropertyMetadata` | `ENV_SESSION_CLASS`
`static PropertyMetadata` | `ENV_USE_PERS_COLL`
`static PropertyMetadata` | `GLOBAL_SUBSTITUTION`
`static PropertyMetadata` | `HANDLE_NAME`
`static PropertyMetadata` | `HOST_NAME`
`static PropertyMetadata` | `INITIAL_CONTEXT_FACTORY`
`static PropertyMetadata` | `INTERNAL_CONNECTION_PARAMS`
`static PropertyMetadata` | `IS_LAZY_LOADING_TRUE`
`static PropertyMetadata` | `JBO_PROJECT`
`static PropertyMetadata` | `MOM_CONTEXT_FACTORY`
`static PropertyMetadata` | `MOM_INITIAL_CONTEXT`
`int` | `ord`
`java.lang.String` | `pDefault`
`java.lang.String` | `pDescription`
`static PropertyMetadata` | `PN_DEBUG_PREFIX`
`static PropertyMetadata` | `PN_DEBUG_TYPE`
`static PropertyMetadata` | `PN_JBO_JDBC_TRACE`
`static PropertyMetadata` | `PN_JDBC_DRIVER_VERBOSE`
`static PropertyMetadata` | `PN_POOL_MANAGER`
`static PropertyMetadata` | `PN_SHOW_FUNCTION`
`static PropertyMetadata` | `PN_SHOW_LEVEL`
`static PropertyMetadata` | `PN_SHOW_LINECOUNT`
`static PropertyMetadata` | `PN_SHOW_TIMING`
`static PropertyMetadata` | `PN_SQLBUILDERIMPL`
`static PropertyMetadata` | `PN_SQLTYPEMAP`
`static PropertyMetadata` | `PN_TRACE_THRESHOLD`
`java.lang.String` | `pName`
`oracle.jbo.common.Owner` | `pOwner`
`static PropertyMetadata` | `SECURITY_CREDENTIALS`
`static PropertyMetadata` | `SECURITY_PRINCIPAL`
`static PropertyMetadata` | `SHARED_DATA_HANDLE`
`static PropertyMetadata` | `TEMPORARY_FILES_HOME`
`static PropertyMetadata` | `USE_DEFINE_COLUMN_LENGTH`

Method Summary
`static java.util.Enumeration` | `elements()`
`static PropertyMetadata` | `findProperty(java.lang.String key)`
`static PropertyMetadata` | `first()`
`static int` | `getExtentSize()`
`java.lang.String` | `getMetaDesc()`
`java.lang.String` | `getProperty()`
`boolean` | `getPropertyAsBoolean()`
`PropertyMetadata` | `last()`
`static void` | `listProperties(java.io.PrintStream out)`
`PropertyMetadata` | `next()`
`PropertyMetadata` | `prev()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pName

    public java.lang.String pName

### pOwner

    public oracle.jbo.common.Owner pOwner

### pDefault

    public java.lang.String pDefault

### pDescription

    public java.lang.String pDescription

### ord

    public final int ord

### ENV_DEFAULT_LANGUAGE

    public static final PropertyMetadata ENV_DEFAULT_LANGUAGE

### ENV_DEFAULT_COUNTRY

    public static final PropertyMetadata ENV_DEFAULT_COUNTRY

### DEPLOY_PLATFORM

    public static final PropertyMetadata DEPLOY_PLATFORM

### CONNECTION_MODE

    public static final PropertyMetadata CONNECTION_MODE

### HOST_NAME

    public static final PropertyMetadata HOST_NAME

### CONNECTION_PORT

    public static final PropertyMetadata CONNECTION_PORT

### APPLICATION_PATH

    public static final PropertyMetadata APPLICATION_PATH

### SECURITY_PRINCIPAL

    public static final PropertyMetadata SECURITY_PRINCIPAL

### SECURITY_CREDENTIALS

    public static final PropertyMetadata SECURITY_CREDENTIALS

### ENV_USE_PERS_COLL

    public static final PropertyMetadata ENV_USE_PERS_COLL

### ENV_PERS_MAX_ROWS_PER_NODE

    public static final PropertyMetadata ENV_PERS_MAX_ROWS_PER_NODE

### ENV_PERS_MAX_ACTIVE_NODES

    public static final PropertyMetadata ENV_PERS_MAX_ACTIVE_NODES

### ENV_PCOLL_MGR

    public static final PropertyMetadata ENV_PCOLL_MGR

### ENV_FETCH_MODE

    public static final PropertyMetadata ENV_FETCH_MODE

### DYNAMIC_PACKAGE_NAME

    public static final PropertyMetadata DYNAMIC_PACKAGE_NAME

### MOM_CONTEXT_FACTORY

    public static final PropertyMetadata MOM_CONTEXT_FACTORY

### MOM_INITIAL_CONTEXT

    public static final PropertyMetadata MOM_INITIAL_CONTEXT

### INITIAL_CONTEXT_FACTORY

    public static final PropertyMetadata INITIAL_CONTEXT_FACTORY

### IS_LAZY_LOADING_TRUE

    public static final PropertyMetadata IS_LAZY_LOADING_TRUE

### SHARED_DATA_HANDLE

    public static final PropertyMetadata SHARED_DATA_HANDLE

### HANDLE_NAME

    public static final PropertyMetadata HANDLE_NAME

### GLOBAL_SUBSTITUTION

    public static final PropertyMetadata GLOBAL_SUBSTITUTION

### JBO_PROJECT

    public static final PropertyMetadata JBO_PROJECT

### ENV_MAX_CURSORS

    public static final PropertyMetadata ENV_MAX_CURSORS

### ENV_DO_FAILOVER

    public static final PropertyMetadata ENV_DO_FAILOVER

### ENV_DO_CONNECTION_POOLING

    public static final PropertyMetadata ENV_DO_CONNECTION_POOLING

### ENV_POOL_RECYCLE_THRESHOLD

    public static final PropertyMetadata ENV_POOL_RECYCLE_THRESHOLD

### ENV_PASSIVATION_STORE

    public static final PropertyMetadata ENV_PASSIVATION_STORE

### AM_RELEASE_MODE

    public static final PropertyMetadata AM_RELEASE_MODE

### ENV_MAX_POOL_COOKIE_AGE

    public static final PropertyMetadata ENV_MAX_POOL_COOKIE_AGE

### ENV_POOL_CLASS_NAME

    public static final PropertyMetadata ENV_POOL_CLASS_NAME

### ENV_MAX_JDBC_POOL_SIZE

    public static final PropertyMetadata ENV_MAX_JDBC_POOL_SIZE

### ENV_INIT_JDBC_POOL_SIZE

    public static final PropertyMetadata ENV_INIT_JDBC_POOL_SIZE

### ENV_JDBC_POOL_REQUEST_TIMEOUT

    public static final PropertyMetadata ENV_JDBC_POOL_REQUEST_TIMEOUT

### ENV_ENTITYROWSET_MODE

    public static final PropertyMetadata ENV_ENTITYROWSET_MODE

### PN_SQLBUILDERIMPL

    public static final PropertyMetadata PN_SQLBUILDERIMPL

### PN_POOL_MANAGER

    public static final PropertyMetadata PN_POOL_MANAGER

### PN_SQLTYPEMAP

    public static final PropertyMetadata PN_SQLTYPEMAP

### PN_JBO_JDBC_TRACE

    public static final PropertyMetadata PN_JBO_JDBC_TRACE

### USE_DEFINE_COLUMN_LENGTH

    public static final PropertyMetadata USE_DEFINE_COLUMN_LENGTH

### TEMPORARY_FILES_HOME

    public static final PropertyMetadata TEMPORARY_FILES_HOME

### INTERNAL_CONNECTION_PARAMS

    public static final PropertyMetadata INTERNAL_CONNECTION_PARAMS

### ENV_SESSION_CLASS

    public static final PropertyMetadata ENV_SESSION_CLASS

### ENV_DBTRANSACTION_FACTORY_CLASS

    public static final PropertyMetadata ENV_DBTRANSACTION_FACTORY_CLASS

### PN_DEBUG_TYPE

    public static final PropertyMetadata PN_DEBUG_TYPE

### PN_DEBUG_PREFIX

    public static final PropertyMetadata PN_DEBUG_PREFIX

### PN_SHOW_TIMING

    public static final PropertyMetadata PN_SHOW_TIMING

### PN_SHOW_FUNCTION

    public static final PropertyMetadata PN_SHOW_FUNCTION

### PN_SHOW_LEVEL

    public static final PropertyMetadata PN_SHOW_LEVEL

### PN_SHOW_LINECOUNT

    public static final PropertyMetadata PN_SHOW_LINECOUNT

### PN_TRACE_THRESHOLD

    public static final PropertyMetadata PN_TRACE_THRESHOLD

### PN_JDBC_DRIVER_VERBOSE

    public static final PropertyMetadata PN_JDBC_DRIVER_VERBOSE

### ENV_EJB_TRANSACTION_TIMEOUT

    public static final PropertyMetadata ENV_EJB_TRANSACTION_TIMEOUT

### ENV_EJB_TXN_TYPE

    public static final PropertyMetadata ENV_EJB_TXN_TYPE

### ENV_JBO_SCHEMA

    public static final PropertyMetadata ENV_JBO_SCHEMA

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getMetaDesc

    public java.lang.String getMetaDesc()

### getExtentSize

    public static int getExtentSize()

### listProperties

    public static void listProperties(java.io.PrintStream out)

### prev

    public PropertyMetadata prev()

### next

    public PropertyMetadata next()

### first

    public static PropertyMetadata first()

### last

    public PropertyMetadata last()

### elements

    public static java.util.Enumeration elements()

### findProperty

    public static PropertyMetadata findProperty(java.lang.String key)

### getProperty

    public java.lang.String getProperty()

### getPropertyAsBoolean

    public boolean getPropertyAsBoolean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD